Page MenuHomePhabricator

[ImageStatistics] mitkImageStatisticsCalculatorTest fails on some platforms
Closed, ResolvedPublic

Description

CDash shows:

mitkImageStatisticsCalculatorTest Passed 53s 630ms MITK, MITK-Modules

However, when clicking on the mitkImageStatisticsCalculatorTest the result is;

ubuntu-1804 Ubuntu-18.04 Debug DiffusionAll 20200303-0300-Nightly Failed 4.93

with

Function vnl_vector<T>::vnl_vector(2, T const& px, T const& py) is deprecated.
MitkImageStatisticsTestDriver: /home/ubuntu/dcl1/Build-D-n/ep/src/ITK/Modules/ThirdParty/VNL/src/vxl/core/vnl/vnl_vector.hxx:122: vnl_vector<T>::vnl_vector(size_t, const T&, const T&) [with T = int; size_t = long unsigned int]: Assertion `len==2' failed.

The test also failed on my Windows system.

Event Timeline

kalali triaged this task as Normal priority.Mar 3 2020, 5:07 PM
kalali created this task.
kalali added projects: Restricted Project, Request for Discussion.Mar 5 2020, 1:14 PM
kislinsk edited projects, added MITK (2020); removed MITK.Apr 15 2020, 9:16 AM
kislinsk added a subscriber: kislinsk.

Links above do not work anymore. Must be re-checked.

kislinsk moved this task from Backlog to Statistics on the MITK (2020) board.Apr 15 2020, 9:16 AM

As noted this seems to be a problem only with Ubuntu-18.04 Debug DiffusionAll because of the mentioned error (so the test itself is not wrong for every system). The accumulated test status is passed. I find this an unsatisfying behavior.

nolden renamed this task from [ImageStatistics] Test failed and is not detected by CTest to [ImageStatistics] mitkImageStatisticsCalculatorTest fails on some platforms.Apr 30 2020, 6:56 AM
nolden raised the priority of this task from Normal to High.
nolden added subscribers: neher, nolden.

Diffusion still shows this:

http://cdash.mitk.org/testDetails.php?test=13808790&build=726433

And recently I was hit by this on my Fedora client as well:

http://cdash.mitk.org/testDetails.php?test=13809195&build=726444

Current (29.04.2020) MITK master.

Summary seems to work again on CDash, so I will change the task title:

http://cdash.mitk.org/testSummary.php?project=1&name=mitkImageStatisticsCalculatorTest&date=2020-04-29

We need specific information of the test failures and if they are the same thing.

Seems the reason this passes on all official clients is Debug vs Release. We currently only test release which ignores asserts. Thus, this should be investigated properly by tracing the problem, Windows and Linux are both affected

floca claimed this task.Sun, May 24, 6:54 PM

Sorry, did not see your claim, was already working on it. Proposed fix in D308

floca closed this task as Resolved.Mon, May 25, 11:57 AM
floca added a subscriber: hentsch.
floca moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Wed, May 27, 10:24 AM